Bug 145889 - udev config tool to create alternate /dev entries
udev config tool to create alternate /dev entries
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: hotplug (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-23 05:41 EST by Richard McMahon
Modified: 2014-03-16 22:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-20 13:26:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard McMahon 2005-01-23 05:41:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
Devices, particularly USB devices, can be mounted on a first come,
first served basis. However, things like printer configuration need to
map to specific devices.

I have two printers and need to create /dev/printer0 and /dev/printer1
which always map to the physical printer, regardless of the
/dev/usb/lp? that gets assigned during hot/coldplugging.

Yes, you can go in and edit /etc/hotplug policies and agents, but
there must be an easier way of doing it, through system-config-hotplug
type interface.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. It's not a bug
2.
3.
    

Additional info:
Comment 1 Sitsofe Wheeler 2005-01-23 18:12:23 EST
With printers I'm fairly sure CUPS has a magic syntax that includes the printer
name in the device string (this is using CUPS' own web tool thing)... I have no
idea if this works or whether the system-config-printer supports it though.
Comment 2 Bill Nottingham 2005-01-25 01:05:11 EST
Can't you use udev entries for this?
Comment 3 Richard McMahon 2005-01-25 02:07:06 EST
It depends where you see the boundary of responsibility for managing this
activity falling.

New devices are detected by hotplug, therefore hotplug should be responsible for
managing all tasks associated with that activity. You are correct that udev does
the work, but that should not prevent another task issuing instructions as to
what to do when something is added.

In truth the boundary of responsibility between the two is not clear, even in
kernel.org's eyes. Both are hosted in the same directory.

Maybe this should be a wider discussion between the Redhat maintainers of
hotplug and udev.
Comment 4 Bill Nottingham 2005-01-25 10:01:43 EST
Perhaps I'm not clear.

If you *want* to make alternately named devices on creation of a device node,
the correct place is in the udev configuration.
Comment 5 Bill Nottingham 2005-02-04 16:10:29 EST
Changing summary to make it more accurate.
Comment 6 Matthew Miller 2006-07-10 17:11:27 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 Bill Nottingham 2007-02-20 13:26:08 EST
Closing this; FC3 is EOL, and this would need to be solved outside of the
hotplug package, which no longer exists.

Note You need to log in before you can comment on or make changes to this bug.